<template>
  <div id="app">
    <b-navbar toggleable="lg" type="dark" variant="dark">
      <b-navbar-brand to="/"><img src="/img/battleship.png" class="d-inline-block align-top">&MediumSpace;Battleship.tk</b-navbar-brand>
      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav>
          <b-nav-item to="/"><b-icon icon="controller"/> Meus Jogos</b-nav-item>
          <b-nav-item to="/profile"><b-icon icon="person-fill"/> Perfil</b-nav-item>
          <b-nav-item to="/ranking"><b-icon icon="award"/> Ranking</b-nav-item>
        </b-navbar-nav>
        <b-navbar-nav class="ml-auto">
          <b-nav-item href="/logout"><b-icon icon="power"/> Logout</b-nav-item>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
    <div class="content">
      <router-view/>
    </div>
    <footer class=" bg-dark text-light">
      <div class="footer-copyright text-center py-3">© {{(new Date()).getFullYear()}}  Copyright:
          <a href="/"> Battleship.tk</a>
      </div>
    </footer>
  </div>
</template>

<script>




</script>

<style>

    @import url('https://fonts.googleapis.com/css?family=Raleway&display=swap');
    
    html, body {

        height: 100%;

        margin: 0px;

    }

.navbar-brand img {
  max-height: 32px;
}
    
.content {
  min-height : calc(100vh - 114px);
  width:  100%;
  padding: 0 5%;
}

footer a , footer a:hover , footer a:active {
    color: white;
}

</style>
